package org.springblade.imports.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import lombok.extern.slf4j.Slf4j;
import org.springblade.imports.dto.FctStandingBookAgainDTO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Slf4j
@Component
public class FctStandingBookAgainExcelListener extends AnalysisEventListener<FctStandingBookAgainDTO> {

	public List<FctStandingBookAgainDTO> list = new ArrayList<FctStandingBookAgainDTO>();


	public FctStandingBookAgainExcelListener() {
	}


	@Override
	public void invoke(FctStandingBookAgainDTO t, AnalysisContext analysisContext) {
		Integer rowIndex = analysisContext.readRowHolder().getRowIndex();
		if(rowIndex>1){
			list.add(t);
		}
	}

	@Override
	public void doAfterAllAnalysed(AnalysisContext analysisContext) {
	}


}
